# Custom project settings
set reference_part "xczu7cg-ffvf1517-1-e"
set project_name "diot_v2"
set entity_top "diot_v2_top"
# Hardcoded to 8 to work fine in CI set max_threads [get_number_cpus]
set max_threads 8
set project_language "VHDL"
set lib_default xil_defaultlib

# Add properties
set_user_property "default_lib" "xil_defaultlib"
set_user_property "enable_vhdl_2008" "1"
set_user_property "xpm_libraries" "XPM_CDC XPM_FIFO XPM_MEMORY"

set path [pwd]
set path_hdl $path/projects/$project_name/src
set path_xdc $path/projects/$project_name/constraints

# Top Level
add_vhdl_src ${lib_default} $path_hdl/${entity_top}.vhd

# Vhdl Src
add_vhdl_src ${lib_default} $path_hdl/constants.vhd

# Add Constraints
add_constraint $path_xdc/diot_v2.xdc
